## com.imcode.imcms.api
Class DefaultContentManagementSystem

    java.lang.Object
      com.imcode.imcms.api.ContentManagementSystem
          com.imcode.imcms.api.DefaultContentManagementSystem

All Implemented Interfaces:
  java.lang.Cloneable

    public class DefaultContentManagementSystem

extends ContentManagementSystem
implements java.lang.Cloneable

Field Summary
`protected ImcmsServices` `service`

Constructor Summary
`DefaultContentManagementSystem(ImcmsServices service, UserDomainObject accessor)`

Method Summary
`protected java.lang.Object` `clone()`
`static DefaultContentManagementSystem` `create(ImcmsServices service, UserDomainObject accessor, javax.sql.DataSource apiDataSource)`
`User` `getCurrentUser()`
`DatabaseService` `getDatabaseService()`
`DocumentService` `getDocumentService()`
`MailService` `getMailService()`
`TemplateService` `getTemplateService()`
`UserService` `getUserService()`
`void` `runAsSuperadmin(ContentManagementSystemRunnable runnable)`

Methods inherited from class com.imcode.imcms.api.ContentManagementSystem
`fromRequest, getContentManagementSystem, login`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### service

    protected ImcmsServices service

Constructor Detail

### DefaultContentManagementSystem

    public DefaultContentManagementSystem(ImcmsServices service,
                                          UserDomainObject accessor)

Method Detail

### create

    public static DefaultContentManagementSystem create(ImcmsServices service,
                                                        UserDomainObject accessor,
                                                        javax.sql.DataSource apiDataSource)

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### getUserService

    public UserService getUserService()

  Specified by:
    `getUserService` in class `ContentManagementSystem`

### getDocumentService

    public DocumentService getDocumentService()

  Specified by:
    `getDocumentService` in class `ContentManagementSystem`

### getCurrentUser

    public User getCurrentUser()

  Specified by:
    `getCurrentUser` in class `ContentManagementSystem`

### getDatabaseService

    public DatabaseService getDatabaseService()

  Specified by:
    `getDatabaseService` in class `ContentManagementSystem`

### getTemplateService

    public TemplateService getTemplateService()

  Specified by:
    `getTemplateService` in class `ContentManagementSystem`

### getMailService

    public MailService getMailService()

  Specified by:
    `getMailService` in class `ContentManagementSystem`

### runAsSuperadmin

    public void runAsSuperadmin(ContentManagementSystemRunnable runnable)
                         throws NoPermissionException

  Specified by:
    `runAsSuperadmin` in class `ContentManagementSystem`
  Throws:
    `NoPermissionException`